Subject: Re: [bug#28593] [PATCH] gnu: openfoam: Clean up to reduce closure.

From: Dave Love <[email-masked]>
Date: Wed, 27 Sep 2017 22:30:40 +0100

Ludovic Courtès <[email-masked]> writes:

> That’s because we use ‘--strip-debug’ and not ‘--strip-all’ (in some
> cases, the latter breaks binaries in weird ways, hence the conservative
> choice.)

Is that something Guix-specific?  As far as I know, with rpm and dpkg,
the binaries are always stripped, and I'm not aware of any problem with
that.

>>  Does adding a debug output achieve the effect of stripping the
>> binaries? 
>
> I don’t think it makes any difference.

Right.

Incidentally, you could save about half the size of the boost
contribution to closures like this by separating the headers and the
libraries, but there was some problem I don;t remember when I tried.